function v = funcpreg2_tema6(x)
% debe retornar la sol. del pvi planteado evaluada en x

% puede hacerse de esta forma
% estaba0 = 0;
% estaba1 = 0;
% if x(1) == 0
%     x = x(2:end);
%     estaba0 = 1;
% end
% if x(end) == 1
%     x = x(1:end-1);
%     estaba1 = 1;
% end
% [x,y] = ode45('pvipreg2_tema6',[0 x 1],[0 2]);
% v = y(2:end-1,1);
% if estaba0
%     v = [y(1,1); v];
% end
% if estaba1
%     v = [v; y(end,1)];
% end

% o de esta forma
[t,y] = ode45('pvipreg2_tema6',[0 1],[0 2]);
s = spline(t,y(:,1));
v = ppval(s,x);
